| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Functions
uhd::soft_reg_field Namespace Reference

## Functions
UHD_INLINE size_t | width (const soft_reg_field_t field)
UHD_INLINE size_t | shift (const soft_reg_field_t field)
template<typename data_t>
UHD_INLINE data_t | mask (const soft_reg_field_t field)

## Function Documentation

## ◆ mask()

template<typename data_t>

UHD_INLINE data_t uhd::soft_reg_field::mask | ( | const soft_reg_field_t | field | ) |

## ◆ shift()

UHD_INLINE size_t uhd::soft_reg_field::shift | ( | const soft_reg_field_t | field | ) |

## ◆ width()

UHD_INLINE size_t uhd::soft_reg_field::width | ( | const soft_reg_field_t | field | ) |